JUCE: ToVarOptions Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ToVarOptions Class Reference
juce_core » javascript

Options that control conversion from arbitrary types to juce::var. More...

`#include <juce_JSONSerialisation.h>`

## Public Member Functions
ToVarOptions | withExplicitVersion (std::optional< int > x) const
| By default, conversion will serialise the type using the marshallingVersion defined for that type.
ToVarOptions | withVersionIncluded (bool x) const
| By default, conversion will include version information for any type with a non-null marshallingVersion.
auto | getExplicitVersion () const
auto | getVersionIncluded () const

## Detailed Description

Options that control conversion from arbitrary types to juce::var.

See also
  ToVar

## Member Function Documentation

## ◆ withExplicitVersion()

ToVarOptions ToVarOptions::withExplicitVersion | ( | std::optional< int > | x | ) | const

By default, conversion will serialise the type using the marshallingVersion defined for that type.

Setting an explicit version allows the type to be serialised as an earlier version.

References withMember(), and x.

## ◆ withVersionIncluded()

ToVarOptions ToVarOptions::withVersionIncluded | ( | bool | x | ) | const

By default, conversion will include version information for any type with a non-null marshallingVersion.

Setting versionIncluded to false will cause the version info to be omitted, which is useful in situations where the version information is not needed (e.g. when presenting transient information to the user, rather than writing data to disk that must be deserialised in the future).

References withMember(), and x.

## ◆ getExplicitVersion()

auto ToVarOptions::getExplicitVersion | ( |  | ) | const

See also
  withExplicitVersion()

## ◆ getVersionIncluded()

auto ToVarOptions::getVersionIncluded | ( |  | ) | const

See also
  withVersionIncluded().

The documentation for this class was generated from the following file:

- juce_JSONSerialisation.h